﻿//-----------------------------------------------------------------------------------------------------------
//
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
// KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
// PURPOSE.
//
//------------------------------------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LinqToHbaseProvider
{
    public static class InitJNBridge
    { 
        private static bool isBridgeInitialized = false;
        private static Object raceconditionBlock = new Object();
        public static void init()
        {
            if (!isBridgeInitialized)
            {
                lock (raceconditionBlock)
                {
                    com.jnbridge.jnbproxy.JNBRemotingConfiguration.specifyRemotingConfiguration(
                              com.jnbridge.jnbproxy.JavaScheme.sharedmem
                              , @"C:\Program Files\Java\jre6\bin\client\jvm.dll"
                              , @"C:\Program Files\JNBridge\JNBridgePro v6.0\jnbcore\jnbcore.jar"
                              , @"C:\Program Files\JNBridge\JNBridgePro v6.0\jnbcore\bcel-5.1-jnbridge.jar"
                              , @"C:\Data\business\prototypes\HBase\jars\cdh4Jars\FrequencyMapRed.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\avro-1.5.4.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\zookeeper-3.4.3-cdh4.0.0.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\log4j-1.2.16.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\hbase-0.92.1-cdh4.0.0-security.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\hadoop-core-2.0.0-mr1-cdh4.0.0.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\hadoop-common-2.0.0-cdh4.0.0.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\guava-11.0.2.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\commons-logging-1.1.1.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\commons-lang-2.5.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\jackson-mapper-asl-1.5.5.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\jackson-core-asl-1.5.5.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\commons-configuration-1.6.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\hadoop-auth-2.0.0-cdh4.0.0.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\commons-httpclient-3.1.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\slf4j-api-1.6.1.jar;C:\Data\business\prototypes\HBase\jars\cdh4Jars\slf4j-nop-1.6.1.jar"
                              );
                }
                isBridgeInitialized = true;
            }
        }
    }
}
